import { EventEmitter } from '@angular/core';
import { RCalendarCell, RCalendarSize, RCalendarSizeValues } from '../../model';
import { RDateService } from '../../services/date.service';
export declare class RCalendarDayCellComponent<D> implements RCalendarCell<D, D> {
    protected dateService: RDateService<D>;
    date: D;
    selectedValue: D;
    visibleDate: D;
    min: D;
    max: D;
    filter: (D: any) => boolean;
    size: RCalendarSize;
    static ngAcceptInputType_size: RCalendarSizeValues;
    select: EventEmitter<D>;
    constructor(dateService: RDateService<D>);
    get today(): boolean;
    get boundingMonth(): boolean;
    get selected(): boolean;
    get empty(): boolean;
    get disabled(): boolean;
    get isLarge(): boolean;
    dayCellClass: boolean;
    get day(): number;
    onClick(): void;
    private smallerThanMin;
    private greaterThanMax;
    private dontFitFilter;
}
